Tasks
Tasks per calendar event
The task object
Attributes
iduuidUnique identifier
created_atread-onlytimestamp with time zoneCreation timestamp
updated_atread-onlytimestamp with time zoneLast modification timestamp
completed_attimestamp with time zone | nullTimestamp at which the task was completed
due_attimestamp with time zoneTimestamp at which the task is due
ftsread-onlytsvectorlabeltextLabel of the task
notification_sent_attimestamp with time zone | nullTimestamp at which the last notification was sent
scheduleTaskScheduleSchedule of the task relative to the event
Related resources
Embed related resources in the response with the select parameter, for example select=*,calendar_events(*). Resources related through more than one column need the column as a hint, like table!column(*).
task_assignees(*)arrayThe task assignees referencing this task through task_assignees.task_id.
{
"id": "00000000-0000-0000-0000-000000000000",
"calendar_event_id": "00000000-0000-0000-0000-000000000000",
"task_template_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T21:13:44.585Z",
"updated_at": "2026-10-30T21:13:44.585Z",
"completed_at": "2026-10-30T21:13:44.585Z",
"due_at": "2026-10-30T21:13:44.585Z",
"label": "Summer cottage",
"notification_sent_at": "2026-10-30T21:13:44.585Z",
"schedule": "arrival"
}curl -X GET "https://api.bookingmood.com/v1/tasks?limit=10&select=*,calendar_events(*),task_templates(*)" \
-H "Authorization: Bearer YOUR_API_KEY"List tasks
Filters
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
completed_atFilter<timestamp with time zone | null>Timestamp at which the task was completed
due_atFilter<timestamp with time zone>Timestamp at which the task is due
ftsFilter<tsvector>labelFilter<text>Label of the task
notification_sent_atFilter<timestamp with time zone | null>Timestamp at which the last notification was sent
scheduleFilter<TaskSchedule>Schedule of the task relative to the event
Responses
200A list of tasks with the selected columns
206Partial Content
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
code, message, details and hint. See the introduction for more on errors.GET /taskscurl -X GET "https://api.bookingmood.com/v1/tasks?select=*&limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"calendar_event_id": "00000000-0000-0000-0000-000000000000",
"task_template_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T21:13:44.585Z",
"updated_at": "2026-10-30T21:13:44.585Z",
"completed_at": "2026-10-30T21:13:44.585Z",
"due_at": "2026-10-30T21:13:44.585Z",
"label": "Summer cottage",
"notification_sent_at": "2026-10-30T21:13:44.585Z",
"schedule": "arrival"
}
]Create tasks
Body
Partial<Task> | Array<Partial<Task>>Read-only attributes are set by the database and can't be written.
Responses
201The newly created tasks with the selected columns
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.POST /taskscurl -X POST "https://api.bookingmood.com/v1/tasks" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"calendar_event_id": "00000000-0000-0000-0000-000000000000",
"due_at": "2026-10-30T21:13:44.585Z",
"label": "Summer cottage",
"schedule": "arrival"
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"calendar_event_id": "00000000-0000-0000-0000-000000000000",
"task_template_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T21:13:44.585Z",
"updated_at": "2026-10-30T21:13:44.585Z",
"completed_at": "2026-10-30T21:13:44.585Z",
"due_at": "2026-10-30T21:13:44.585Z",
"label": "Summer cottage",
"notification_sent_at": "2026-10-30T21:13:44.585Z",
"schedule": "arrival"
}
]Delete tasks
Filters
Without filters, this request deletes all tasks you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
completed_atFilter<timestamp with time zone | null>Timestamp at which the task was completed
due_atFilter<timestamp with time zone>Timestamp at which the task is due
ftsFilter<tsvector>labelFilter<text>Label of the task
notification_sent_atFilter<timestamp with time zone | null>Timestamp at which the last notification was sent
scheduleFilter<TaskSchedule>Schedule of the task relative to the event
Responses
200The deleted tasks with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
code, message, details and hint. See the introduction for more on errors.DELETE /taskscurl -X DELETE "https://api.bookingmood.com/v1/tasks?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"calendar_event_id": "00000000-0000-0000-0000-000000000000",
"task_template_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T21:13:44.585Z",
"updated_at": "2026-10-30T21:13:44.585Z",
"completed_at": "2026-10-30T21:13:44.585Z",
"due_at": "2026-10-30T21:13:44.585Z",
"label": "Summer cottage",
"notification_sent_at": "2026-10-30T21:13:44.585Z",
"schedule": "arrival"
}
]Update tasks
Filters
Without filters, this request updates all tasks you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
completed_atFilter<timestamp with time zone | null>Timestamp at which the task was completed
due_atFilter<timestamp with time zone>Timestamp at which the task is due
ftsFilter<tsvector>labelFilter<text>Label of the task
notification_sent_atFilter<timestamp with time zone | null>Timestamp at which the last notification was sent
scheduleFilter<TaskSchedule>Schedule of the task relative to the event
Body
Partial<Task>Read-only attributes are set by the database and can't be written.
Responses
200The updated tasks with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.PATCH /taskscurl -X PATCH "https://api.bookingmood.com/v1/tasks?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"due_at": "2026-10-30T21:13:44.585Z"
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"calendar_event_id": "00000000-0000-0000-0000-000000000000",
"task_template_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T21:13:44.585Z",
"updated_at": "2026-10-30T21:13:44.585Z",
"completed_at": "2026-10-30T21:13:44.585Z",
"due_at": "2026-10-30T21:13:44.585Z",
"label": "Summer cottage",
"notification_sent_at": "2026-10-30T21:13:44.585Z",
"schedule": "arrival"
}
]